GET /api/v3/place/{placeId}

Retrieves one place

GetPlaceV3 Permissions: BuildingsAndOrganizations (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
placeId The identifier for the place being retrieved integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

PlaceResponse
Property Description Type
address AddressChild
AddressChild properties
Property Description Type
addressTypeId The address type identifier integer (int32)
city The city of the place Must be between 0 and 100 characters string
country The country of the place Must be between 0 and 64 characters string
latitude The latitude of the place Required when the country is not United States or Canada Must be between -90 and 90 Required when Longitude is set number (double)
line1 The line 1 of the address Must be between 0 and 100 characters string
line2 The line 2 of the address Must be between 0 and 100 characters string
line3 The line 3 of the address Must be between 0 and 100 characters string
longitude The longitude of the place Required when the country is not United States or Canada Must be between -180 and 180 Required when Latitude is set number (double)
postalCode The postal code of the place Must be between 0 and 32 characters string
remitTo Remit To field is the name of the person or company who should receive the payment. It’s required for bill pay customers. Must be between 0 and 100 characters string
state The state of the place Must be between 0 and 100 characters string
benchmark1 LatestBenchmarkValue
LatestBenchmarkValue properties
Property Description Type
benchmarkCategory BenchmarkCategoryResponse
BenchmarkCategoryResponse properties
Property Description Type
benchmarkCategoryId Benchmark Category Id integer (int32)
benchmarkCategoryInfo Benchmark Category Info string
benchmarkIndicator Indicator for which benchmark factor integer (int32)
benchmarkInfo benchmark info string
benchmarkValue BenchmarkValue
BenchmarkValue properties
Property Description Type
benchmarkValueId Indicator for which benchmark factor Required (defined) integer (int32)
effectiveDate Effective Date for the benchmark factor Required (defined) string (date-time)
endDate End Date for the benchmark factor Required (defined) string (date-time)
value Value set for the benchmark factor Required (defined) number (double)
benchmark2 LatestBenchmarkValue
LatestBenchmarkValue properties
Property Description Type
benchmarkCategory BenchmarkCategoryResponse
BenchmarkCategoryResponse properties
Property Description Type
benchmarkCategoryId Benchmark Category Id integer (int32)
benchmarkCategoryInfo Benchmark Category Info string
benchmarkIndicator Indicator for which benchmark factor integer (int32)
benchmarkInfo benchmark info string
benchmarkValue BenchmarkValue
BenchmarkValue properties
Property Description Type
benchmarkValueId Indicator for which benchmark factor Required (defined) integer (int32)
effectiveDate Effective Date for the benchmark factor Required (defined) string (date-time)
endDate End Date for the benchmark factor Required (defined) string (date-time)
value Value set for the benchmark factor Required (defined) number (double)
benchmark3 LatestBenchmarkValue
LatestBenchmarkValue properties
Property Description Type
benchmarkCategory BenchmarkCategoryResponse
BenchmarkCategoryResponse properties
Property Description Type
benchmarkCategoryId Benchmark Category Id integer (int32)
benchmarkCategoryInfo Benchmark Category Info string
benchmarkIndicator Indicator for which benchmark factor integer (int32)
benchmarkInfo benchmark info string
benchmarkValue BenchmarkValue
BenchmarkValue properties
Property Description Type
benchmarkValueId Indicator for which benchmark factor Required (defined) integer (int32)
effectiveDate Effective Date for the benchmark factor Required (defined) string (date-time)
endDate End Date for the benchmark factor Required (defined) string (date-time)
value Value set for the benchmark factor Required (defined) number (double)
buildDate The date and time the place was built string (date-time)
contact ContactChild
ContactChild properties
Property Description Type
contactId The contact identifier integer (int32)
first The contact’s first name string
last The contact’s last name string
middle The contact’s middle name string
createdBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
createdDate The date and time the place was created string (date-time)
dataPoints An array of child data points. A child data point is one directly beneath the current place DataPointChild[]
DataPointChild properties
Property Description Type
active Indicates whether the data point is Active boolean
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
dataPointCode The data point code string
dataPointId The data point identifier integer (int32)
dataPointInfo The data point info string
isCalculatedDataPoint Indicates whether the data point is a calculated data point boolean
isDataRolledUp Indicates if the primary value channel on the datapoint has a summarization method of SUM boolean
serialNumber The data point’s current serial number string
energyStarEnabled Tells whether energy star is enabled for the given place boolean
energyStarRating EnergyStarRatingChild
EnergyStarRatingChild properties
Property Description Type
calendarPeriod The year and month for the ENERGY STAR score integer (int32)
rating The ENERGY STAR score integer (int32)
ratingDate The date the score was received string (date-time)
siteEnergyUseIntensity The weather-normalized property energy use intensity (kBtu/ft²) number (double)
imageFilename The name of the place’s image. Currently only supported by ESA. string
isDataRolledUp Tells whether or not the place’s data is rolled up to its parents. Currently only supported by ESA. boolean
isSizeCalculated Tells whether the place area is calculated from its children (TODO: Use ‘Area’ instead of ‘Size’? Would be inconsistent with Size property in DTO) boolean
meters An array of child meters. A child meter is one directly beneath the current place MeterChild[]
MeterChild properties
Property Description Type
active Indicates whether the Meter is Active boolean
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
isCalculatedMeter Indicates whether the meter is a calculated meter boolean
isEsaCalculatedMeter Indicates whether the meter is an ESA calculated meter boolean
isSplitChildMeter Indicates whether the meter is a child of a split boolean
isSplitParentMeter Indicates whether the meter is a parent of a split boolean
meterCode The meter code string
meterId The meter identifier integer (int32)
meterInfo The meter info string
meterType MeterTypeChild
MeterTypeChild properties
Property Description Type
meterTypeCode string
meterTypeId integer (int32)
meterTypeInfo string
serialNumber The meter’s current serial number string
modifiedBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
modifiedDate The date and time of the most recent modification to the place string (date-time)
parent PlaceChild
PlaceChild properties
Property Description Type
isDataRolledUp Tells whether or not the place’s data is rolled up to its parents. boolean
placeCode The place code string
placeId The place identifier integer (int32)
placeInfo The place info string
placeType PlaceTypeResponse
PlaceTypeResponse properties
Property Description Type
icon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
isSystemPlaceType Flag to indicate if the place type is a system-level place type boolean
placeEntityType PlaceEntityTypeV202406
PlaceEntityTypeV202406 properties
Property Description Type
placeEntityTypeId The place entity type identifier integer (int32)
placeEntityTypeInfo The place entity type name string
placeTypeCode The place type code string
placeTypeId The place type identifier integer (int32)
placeTypeInfo The place type info string
structure Indicates if the place is a structure boolean
placeCode The place code string
placeDescription A description of the place string
placeId The place identifier integer (int32)
placeInfo The place info string
placeType PlaceTypeResponse
PlaceTypeResponse properties
Property Description Type
icon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
isSystemPlaceType Flag to indicate if the place type is a system-level place type boolean
placeEntityType PlaceEntityTypeV202406
PlaceEntityTypeV202406 properties
Property Description Type
placeEntityTypeId The place entity type identifier integer (int32)
placeEntityTypeInfo The place entity type name string
placeTypeCode The place type code string
placeTypeId The place type identifier integer (int32)
placeTypeInfo The place type info string
structure Indicates if the place is a structure boolean
places An array of child places. A child place is one directly beneath the current place PlaceChild[]
PlaceChild properties
Property Description Type
isDataRolledUp Tells whether or not the place’s data is rolled up to its parents. boolean
placeCode The place code string
placeId The place identifier integer (int32)
placeInfo The place info string
placeType PlaceTypeResponse
PlaceTypeResponse properties
Property Description Type
icon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
isSystemPlaceType Flag to indicate if the place type is a system-level place type boolean
placeEntityType PlaceEntityTypeV202406
PlaceEntityTypeV202406 properties
Property Description Type
placeEntityTypeId The place entity type identifier integer (int32)
placeEntityTypeInfo The place entity type name string
placeTypeCode The place type code string
placeTypeId The place type identifier integer (int32)
placeTypeInfo The place type info string
structure Indicates if the place is a structure boolean
primaryUse PrimaryUseChild
PrimaryUseChild properties
Property Description Type
primaryUseCode string
primaryUseId integer (int32)
primaryUseInfo string
schedules The place’s schedules ScheduleChild[]
ScheduleChild properties
Property Description Type
scheduleId The ID of this Schedule record. integer (int32)
scheduleInfo Information about this schedule. This can be thought of as a name. For example, “24/7”. string
size PlaceSizeChild
PlaceSizeChild properties
Property Description Type
beginDate The effective start date for this place size record string (date-time)
endDate The effective end date for this place size record string (date-time)
placeSizeId The identifier for this PlaceSize record integer (int32)
unitCode The code for the unit this place size is measured in Must be between 0 and 16 characters Must be between 0 and 16 characters string
unitId The identifier for the unit this place size is measured in integer (int32)
unitInfo The name of the unit this place size is measured in Must be between 0 and 32 characters Must be between 0 and 32 characters string
value The value of the current place size record number (double)
sizeInReportingUnit PlaceSizeChild
PlaceSizeChild properties
Property Description Type
beginDate The effective start date for this place size record string (date-time)
endDate The effective end date for this place size record string (date-time)
placeSizeId The identifier for this PlaceSize record integer (int32)
unitCode The code for the unit this place size is measured in Must be between 0 and 16 characters Must be between 0 and 16 characters string
unitId The identifier for the unit this place size is measured in integer (int32)
unitInfo The name of the unit this place size is measured in Must be between 0 and 32 characters Must be between 0 and 32 characters string
value The value of the current place size record number (double)
timeZone TimeZoneChild
TimeZoneChild properties
Property Description Type
timeZoneCode string
timeZoneId integer (int32)
timeZoneInfo string
watticsSite WatticsSite
WatticsSite properties
Property Description Type
watticsSiteId The identifier for a SmartAnalytics (Wattics) site integer (int32)
weatherStation WeatherStationChild
WeatherStationChild properties
Property Description Type
city City the weather station is located string
country Country the weather station is located string
state State the weather station is located string
stationCode Weather Station Code string
stationId Weather Station Id integer (int32)
stationInfo Weather Station Name string
Example Response application/json
{  "address": {    "addressTypeId": 1,    "city": "string",    "country": "string",    "latitude": 1.0,    "line1": "string",    "line2": "string",    "line3": "string",    "longitude": 1.0,    "postalCode": "string",    "remitTo": "string",    "state": "string"
  },  "benchmark1": {    "benchmarkCategory": {      "benchmarkCategoryId": 1,      "benchmarkCategoryInfo": "string"
    },    "benchmarkIndicator": 1,    "benchmarkInfo": "string",    "benchmarkValue": {      "benchmarkValueId": 1,      "effectiveDate": "2026-03-30",      "endDate": "2026-03-30",      "value": 1.0
    }
  },  "benchmark2": {    "benchmarkCategory": {      "benchmarkCategoryId": 1,      "benchmarkCategoryInfo": "string"
    },    "benchmarkIndicator": 1,    "benchmarkInfo": "string",    "benchmarkValue": {      "benchmarkValueId": 1,      "effectiveDate": "2026-03-30",      "endDate": "2026-03-30",      "value": 1.0
    }
  },  "benchmark3": {    "benchmarkCategory": {      "benchmarkCategoryId": 1,      "benchmarkCategoryInfo": "string"
    },    "benchmarkIndicator": 1,    "benchmarkInfo": "string",    "benchmarkValue": {      "benchmarkValueId": 1,      "effectiveDate": "2026-03-30",      "endDate": "2026-03-30",      "value": 1.0
    }
  },  "buildDate": "2026-03-30",  "contact": {    "contactId": 1,    "first": "string",    "last": "string",    "middle": "string"
  },  "createdBy": {    "fullName": "string",    "userCode": "string",    "userId": 1
  },  "createdDate": "2026-03-30",  "dataPoints": [
    {    "active": false,    "commodity": {      "commodityCode": "string",      "commodityIcon": {},      "commodityId": 1,      "commodityInfo": "string"
    },    "dataPointCode": "string",    "dataPointId": 1,    "dataPointInfo": "string",    "isCalculatedDataPoint": false,    "isDataRolledUp": false,    "serialNumber": "string"
  }
  ],  "energyStarEnabled": false,  "energyStarRating": {    "calendarPeriod": 1,    "rating": 1,    "ratingDate": "2026-03-30",    "siteEnergyUseIntensity": 1.0
  },  "imageFilename": "string",  "isDataRolledUp": false,  "isSizeCalculated": false,  "meters": [
    {    "active": false,    "commodity": {      "commodityCode": "string",      "commodityIcon": {},      "commodityId": 1,      "commodityInfo": "string"
    },    "isCalculatedMeter": false,    "isEsaCalculatedMeter": false,    "isSplitChildMeter": false,    "isSplitParentMeter": false,    "meterCode": "string",    "meterId": 1,    "meterInfo": "string",    "meterType": {      "meterTypeCode": "string",      "meterTypeId": 1,      "meterTypeInfo": "string"
    },    "serialNumber": "string"
  }
  ],  "modifiedBy": {    "fullName": "string",    "userCode": "string",    "userId": 1
  },  "modifiedDate": "2026-03-30",  "parent": {    "isDataRolledUp": false,    "placeCode": "string",    "placeId": 1,    "placeInfo": "string",    "placeType": {      "icon": {},      "isSystemPlaceType": false,      "placeEntityType": {},      "placeTypeCode": "string",      "placeTypeId": 1,      "placeTypeInfo": "string",      "structure": false
    }
  },  "placeCode": "string",  "placeDescription": "string",  "placeId": 1,  "placeInfo": "string",  "placeType": {    "icon": {      "code": "string",      "color": "string"
    },    "isSystemPlaceType": false,    "placeEntityType": {      "placeEntityTypeId": 1,      "placeEntityTypeInfo": "string"
    },    "placeTypeCode": "string",    "placeTypeId": 1,    "placeTypeInfo": "string",    "structure": false
  },  "places": [
    {    "isDataRolledUp": false,    "placeCode": "string",    "placeId": 1,    "placeInfo": "string",    "placeType": {      "icon": {},      "isSystemPlaceType": false,      "placeEntityType": {},      "placeTypeCode": "string",      "placeTypeId": 1,      "placeTypeInfo": "string",      "structure": false
    }
  }
  ],  "primaryUse": {    "primaryUseCode": "string",    "primaryUseId": 1,    "primaryUseInfo": "string"
  },  "schedules": [
    {    "scheduleId": 1,    "scheduleInfo": "string"
  }
  ],  "size": {    "beginDate": "2026-03-30",    "endDate": "2026-03-30",    "placeSizeId": 1,    "unitCode": "string",    "unitId": 1,    "unitInfo": "string",    "value": 1.0
  },  "sizeInReportingUnit": {    "beginDate": "2026-03-30",    "endDate": "2026-03-30",    "placeSizeId": 1,    "unitCode": "string",    "unitId": 1,    "unitInfo": "string",    "value": 1.0
  },  "timeZone": {    "timeZoneCode": "string",    "timeZoneId": 1,    "timeZoneInfo": "string"
  },  "watticsSite": {    "watticsSiteId": 1
  },  "weatherStation": {    "city": "string",    "country": "string",    "state": "string",    "stationCode": "string",    "stationId": 1,    "stationInfo": "string"
  }
}